<template>
  <div>
    <v-footer
      height="auto"
      padless
      unset
      pt-16
      mt-16
    >
      <v-row
        justify="center"
        class="primary"
        align="center"
      >
        <v-col
          cols="3"
          lg="2"
          class="px-12"
          align-self="center"
        >
          <div class="pa-5">
            <v-img
              :src="$t('urlLogoLeft')"
            />
          </div>
        </v-col>
        <v-col
          cols="3"
          class="white--text pa-0 pl-10 pt-12"
          align-self="start"
        >
          <h2 class="font-weight-bold secondary--text">
            {{ $t("title") }}
          </h2>
          <p class="font-weight-bold white--text">
            {{ $t("text") }}
          </p>
        </v-col>
        <v-col
          cols="3"
          lg="3"
          xl="2"
          class="white--text pa-0 pl-10 pt-12"
          align-self="start"
        >
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.terms')"
                  style="text-decoration:none;"
                  class="white--text font-weight-bold"
                >{{ $t("links.label.terms") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.privacyPolicy')"
                  style="text-decoration:none;"
                  class="white--text font-weight-bold"
                >{{ $t("links.label.privacyPolicy") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.dataPolicy')"
                  style="text-decoration:none;"
                  class="white--text font-weight-bold"
                >{{ $t("links.label.dataPolicy") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.faq')"
                  style="text-decoration:none;"
                  class="white--text font-weight-bold"
                >{{ $t("links.label.faq") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.communitiesInfos')"
                  style="text-decoration:none;"
                  class="white--text font-weight-bold"
                >{{ $t("links.label.communitiesInfos") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0">
                <a
                  :href="$t('links.route.feedback')"
                  style="text-decoration:none;"
                  class="white--text font-weight-bold"
                >{{ $t("links.label.feedback") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0">
                <a
                  style="text-decoration:none;"
                  class="white--text font-weight-bold"
                  @click="showCookiesAction()"
                >{{ $t('links.label.cookies') }}</a>
              </v-card-text>
            </v-col>
          </v-row>
        </v-col>
        <v-col
          cols="3"
          lg="2"
          class="white--text pa-0 pl-10 pt-12"
          align-self="start"
        >
          <div class="pa-5">
            <v-img :src="$t('urlLogoRight')" />
          </div>
        </v-col>
      </v-row>
      <v-row>
        <v-col
          cols="12"
          class="white text-center info--text py-5 mb-0"
        >
          {{ $t('licenseFirst') }} <a :href="$t('mobicoop')">Mobicoop</a> {{ $t('licenseSecond') }}
        </v-col>
      </v-row>
      <cookies
        :show="showCookies"
        :app-name="appName"
        :auto-show="cookiesShowAuto"
        :social-networks-active="socialNetworksActive"
        @dialogClosed="dialogCookiesClosed"
      />
    </v-footer>
  </div>
</template>

<script>
import { merge } from "lodash";
import {
  messages_en,
  messages_fr,
  messages_eu
} from "@translations/components/base/MFooter/";
import {
  messages_client_en,
  messages_client_fr,
  messages_client_eu
} from "@clientTranslations/components/base/MFooter/";
import Cookies from "@components/utilities/Cookies";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      en: MessagesMergedEn,
      eu: MessagesMergedEu,
      fr: MessagesMergedFr
    }
  },
  components: {
    Cookies
  },
  props: {
    logosPath: {
      type: String,
      default: null
    },
    logos: {
      type: Object,
      default: null
    },
    appName: {
      type: String,
      default: null
    },
    cookiesShowAuto: {
      type: Boolean,
      default: true
    },
    socialNetworksActive: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      showCookies: false
    };
  },
  methods: {
    showCookiesAction() {
      this.showCookies = true;
    },
    dialogCookiesClosed() {
      this.showCookies = false;
    }
  }
};
</script>
